Payroll runs & approvals
List Client Payroll Approvals
Name and signature indicate it lists client payroll approvals
GEThttps://api.toku.com/hris/list-client-payroll-approvals
Required scope: payroll:read
curl --request GET \
--url 'https://api.toku.com/hris/list-client-payroll-approvals' \
--header 'Authorization: Bearer <token>'200 response
{
"approvalRulesEnabled": true,
"canApprove": true,
"runs": [
{
"payrollRunID": "string",
"countryCode": "string",
"payPeriodStart": "string",
"payPeriodEnd": "string",
"payFrequency": "MONTHLY",
"status": "DRAFT",
"totalRows": 0,
"awaitingMyApproval": true
}
]
}Authorizations
AuthorizationstringheaderrequiredBearer authentication header of the form Bearer <token>, where <token> is an access token from a Toku sign-in. See Authentication in the API reference.
Response
200Successful response
approvalRulesEnabledbooleanrequiredcanApprovebooleanrequiredrunsobject[]requiredShow child attributes
payrollRunIDstringrequiredcountryCodestringrequiredpayPeriodStartstringrequiredpayPeriodEndstringrequiredpayFrequencystringrequiredAvailable options: MONTHLY, SEMI_MONTHLY, BIWEEKLY, WEEKLY, QUARTERLY, ANNUAL, ONE_TIME
statusstringrequiredAvailable options: DRAFT, PARSING, MAPPED, MATCHING, VALIDATING, REVIEW, APPROVED, FINALIZED, REJECTED, PENDING_CLIENT_APPROVAL, CLIENT_REJECTED, CLIENT_REQUESTED_MODIFICATION
totalRowsnumberrequiredawaitingMyApprovalbooleanrequired400Bad request
401Unauthorized
403Forbidden
404Not found
409Conflict
429Response 429
Was this page helpful? Suggest edits